Description

Hello,

I am using a python script to simulate a set of events using ctools.ctobssim (simulate_events.py).

After the simulation I can access to the events.

events = sim.obs()[0].events().copy()

where I have the energy and direction, ecc.

It would be very useful to know if the event was generated from background or from the source.

I would suggest to add a flag to distinguished events from background and sources.

Gonzalo.

History

#1 - 06/21/2016 09:52 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#2 - 03/03/2017 10:33 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#3 - 04/14/2017 03:12 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 90

The following methods have been added to GammaLib to trace Monte Carlo information in an CTA event list:

GCTAEventList::has_mc_id(bool&): Signal availability of Monte Carlo information in an event list

GCTAEventList::has_mc_id(): Returns true if Monte Carlo information in an event list is available

GCTAEventList::set_mc_id_names(std::vector<int>&, std::vector<std::string>&): Set correspondance between Monte Carlo identifiers and model

names

GCTAEventAtom::mc_id(int&): Set Monte Carlo identifier for an event

GCTAEventAtom::mc_id(): Returns Monte Carlo identifier for an event

The ctobssim tool now sets the Monte Carlo identifiers for every event

#4 - 04/14/2017 11:21 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed
- % Done changed from 90 to 100

Code is merged into devel
